#ifndef MY_SAVE_H
#define MY_SAVE_H

#include "my_process.h"
namespace Lib_save {

class Save {
private:
    std::map <string, string> *map_global;
    std::map <string, string> *map_local;
    std::map <string, string> *map_gui;
    vector<string> vec_errors;
    vector<string>* vec_param_names;
    My_Process::My_Process_system process = My_Process::My_Process_system();
    bool flag_no_save;
    void template_save(string cmd);
public:
    void set_data_global(std::map <string, string> &map_global);
    void set_data_local(std::map <string, string> &map_local);
    void set_data_gui(std::map <string, string> &map_gui);
    bool check_save(string flag_save, string key_name);
    bool get_state_save();
    
    void save_one_cmd(string cmd1, string cmd_remove, string str_flag_save);
    int get_count_error();
    string get_cmd_error();
    void set_count_error(int count_error);
    void set_vec_params(vector<string>& vec_param_names);
    void save(string sections, string str_flag_save) ;
    vector<string> get_error();
};
}
#endif